get
https://api.7digital.com/1.2/track/details-1
Get all available details for a given track.
Example request
GET https://api.7digital.com/1.2/track/details?trackid=123456&oauth_consumer_key=YOUR_KEY_HERE&country=GB&usageTypes=download,subscriptionstreaming,adsupportedstreamingExample response
{
"track": {
"id": 123456,
"title": "Sleeping in My Car (Single Version)",
"version": "Single Version",
"artist": {
"id": 7018,
"name": "Roxette",
"appearsAs": "Roxette",
"slug": "roxette",
"image": "http://artwork-cdn.7static.com/static/img/artistimages/00/000/070/0000007018_150.jpg",
"isPlaceholderImage": true
},
"trackNumber": 9,
"duration": 214,
"explicitContent": false,
"isrc": "SEAMA9301032",
"pline": "℗ 1994 Parlophone Music Sweden AB, a Warner Music Group Company",
"type": "audio",
"release": {
"id": 12134,
"title": "The Pop Hits",
"version": "",
"type": "Album",
"barcode": "0724358215557",
"artist": {
"id": 7018,
"name": "Roxette",
"appearsAs": "Roxette",
"slug": "roxette",
"image": "http://artwork-cdn.7static.com/static/img/artistimages/00/000/070/0000007018_150.jpg",
"isPlaceholderImage": true
},
"slug": "the-pop-hits-12134",
"image": "http://artwork-cdn.7static.com/static/img/sleeveart/00/000/121/0000012134_50.jpg",
"label": {
"id": 226994,
"name": "Parlophone Sweden"
},
"licensor": {
"id": 18,
"name": "Warner"
}
},
"discNumber": 1,
"number": 9,
"download": {
"releaseDate": "2003-05-31T23:00:00Z",
"previewDate": "2003-05-31T23:00:00Z",
"packages": [
{
"id": 2,
"description": "Standard",
"price": {
"currencyCode": "GBP",
"sevendigitalPrice": "1.49",
"recommendedRetailPrice": "1.49"
},
"formats": [
{
"id": 17,
"description": "MP3 320"
}
]
},
{
"id": 9,
"description": "Premium",
"price": {
"currencyCode": "GBP",
"sevendigitalPrice": "1.49",
"recommendedRetailPrice": "1.49"
},
"formats": [
{
"id": 45,
"description": "FLAC 16-bit 44.1kHz"
}
]
}
]
},
"subscriptionStreaming": {
"releaseDate": "2003-05-31T23:00:00Z"
},
"adSupportedStreaming": {
"releaseDate": "2003-05-31T23:00:00Z"
}
}
}Description of all possible response fields
| Name | Type | Description |
|---|---|---|
| releaseId | integer | unique identifier of the release in MassiveMusic catalogue |
| title | string | title of the release |
| version | string | version title of the release |
| type | enumeration | type of the release, one of: album/single/video |
| barcode | string | barcode of the product (typically UPC) |
| year | integer | year of the original release (as supplied to MassiveMusic by the issuing label, where data is not available, year of the digital release), only available on some endpoints |
| explicitContent | boolean | parental advisory - explicit content tag, as supplied to MassiveMusic by the issuing label, only available on some endpoints |
| artist | artist object | primary artist of the release (subset of fields of the full artist details as described above) |
| image | URL | url of the release cover picture |
| slug | string | url slug of the release |
| label | label object | contains MassiveMusic ID and name of the issuing label |
| licensor | licensor object | id and name of the licensor who controls the rights to the release, currently available on the release/search and release/details endpoints |
| popularity | decimal | a figure between 0 and 1 representing the release popularity, currently available on the release/search, artist/releases, release/details and release/bytag/* endpoints |
| duration | integer | total length in seconds of all tracks appearing on release, only available on some endpoints |
| trackCount | integer | number of tracks appearing on release, only available on some endpoints |
| download | download object | contains package information relevant to download, only applicable to endpoints returning tracks or releases |
| subscriptionStreaming | subscription streaming object | contains information for subscription streaming, only applicable to endpoints returning tracks or releases |
| adSupportedStreaming | ad supported streaming object | contains information for ad supported streaming, only applicable to endpoints returning tracks or releases |
Specific Error Codes
- HTTP: 2001 - Release id not licensed for this partner. The copyright for the release you requested is owned by a label not currently licensed for your service.

